#!/bin/sh

VARJAVAMAXHEAPSIZE=1000M
if [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "m1.small" ]; then
VARJAVAMAXHEAPSIZE=1000M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "m1.large" ]; then
VARJAVAMAXHEAPSIZE=4000M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "m1.xlarge" ]; then
VARJAVAMAXHEAPSIZE=6000M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "t1.micro" ]; then
VARJAVAMAXHEAPSIZE=300M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "m2.xlarge" ]; then
VARJAVAMAXHEAPSIZE=6000M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "m2.2xlarge" ]; then
VARJAVAMAXHEAPSIZE=8000M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "m2.4xlarge" ]; then
VARJAVAMAXHEAPSIZE=8000M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "c1.medium" ]; then
VARJAVAMAXHEAPSIZE=1000M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "c1.xlarge" ]; then
VARJAVAMAXHEAPSIZE=4000M
elif [ ${AWSEC2_METADATA_INSTANCE_TYPE} = "cc1.4xlarge" ]; then
VARJAVAMAXHEAPSIZE=8000M
fi
export VARJAVAMAXHEAPSIZE

echo "Tuning Wowza Media Server: ${AWSEC2_METADATA_INSTANCE_TYPE}"
echo "Java Heap Size: ${VARJAVAMAXHEAPSIZE}"

WMSAPP_HOME=/usr/local/WowzaMediaServer
cp ${WMSAPP_HOME}/bin/setenv.sh ${WMSAPP_HOME}/bin/setenv-save.sh
sed s/{JAVAMAXHEAPSIZE}/${VARJAVAMAXHEAPSIZE}/ "tuning/bin/setenv.sh" > ${WMSAPP_HOME}/bin/setenv.sh

